Package org.eclipse.gef.dot.internal.ui.conversion

# Interface DotNodeStyleUtil

All Known Implementing Classes:
  `DotClusterStyleUtil`, `DotDefaultNodeStyleUtil`, `DotRecordBasedNodeStyleUtil`

public interface DotNodeStyleUtil

## Method Summary

Modifier and Type
Method
Description
`StringBuilder`
`computeZestStyle()`
Computes Zest node shape style
`boolean`
`hasStyle(org.eclipse.gef.dot.internal.language.style.NodeStyle nodeStyle)`
Checks if node has given style

## Method Details

### computeZestStyle

StringBuilder computeZestStyle()
Computes Zest node shape style

Returns:
  StringBuilder containing node shape style

### hasStyle

boolean hasStyle(org.eclipse.gef.dot.internal.language.style.NodeStyle nodeStyle)
Checks if node has given style

Parameters:
  `nodeStyle` -
Returns:
  true, if node has nodeStyle